using Microsoft.Xna.Framework;
using MonoGame.Extended.Sprites;

namespace DestinedToFall
{
    class Cloud
    {
        public Sprite Sprite;
        public Vector3 Position;
        int count;

        public Cloud(Sprite sprite, Vector3 position)
        {
            Sprite = sprite;
            Sprite.Alpha = 0.5f;
            Position = position;
            count = 0;
        }

        public void Count()
        {
            count++;

            if (count == Position.Z)
            {
                Position += new Vector3(-1, 0, 0);
                count = 0;
            }
        }
    }
}
